<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Fri Jan 15 16:49:00 CET 2021 -->
<title>FournisseurServiceImpl</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-01-15">
<meta name="description" content="declaration: package: fr.humanbooster.ag.gestion_de_sachet.service.impl, class: FournisseurServiceImpl">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/FournisseurServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.humanbooster.ag.gestion_de_sachet.service.impl</a></div>
<h1 title="Class FournisseurServiceImpl" class="title">Class FournisseurServiceImpl</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">fr.humanbooster.ag.gestion_de_sachet.service.impl.FournisseurServiceImpl</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">FournisseurServiceImpl</span>
extends java.lang.Object
implements <a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></pre>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">FournisseurServiceImpl</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code><a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterFournisseur(java.lang.String)">ajouterFournisseur</a></span>&#8203;(java.lang.String&nbsp;nom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code><a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererFournisseur(java.lang.Long)">recupererFournisseur</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>java.util.List&lt;<a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#recupererFournisseurs()">recupererFournisseurs</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#supprimerFournisseur(java.lang.Long)">supprimerFournisseur</a></span>&#8203;(java.lang.Long&nbsp;id)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>FournisseurServiceImpl</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">FournisseurServiceImpl</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ajouterFournisseur(java.lang.String)">
<h3>ajouterFournisseur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span>&nbsp;<span class="member-name">ajouterFournisseur</span>&#8203;(<span class="parameters">java.lang.String&nbsp;nom)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../FournisseurService.html#ajouterFournisseur(java.lang.String)">ajouterFournisseur</a></code>&nbsp;in interface&nbsp;<code><a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererFournisseurs()">
<h3>recupererFournisseurs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a>&gt;</span>&nbsp;<span class="member-name">recupererFournisseurs</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../FournisseurService.html#recupererFournisseurs()">recupererFournisseurs</a></code>&nbsp;in interface&nbsp;<code><a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="recupererFournisseur(java.lang.Long)">
<h3>recupererFournisseur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../../metier/Fournisseur.html" title="class in fr.humanbooster.ag.gestion_de_sachet.metier">Fournisseur</a></span>&nbsp;<span class="member-name">recupererFournisseur</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../FournisseurService.html#recupererFournisseur(java.lang.Long)">recupererFournisseur</a></code>&nbsp;in interface&nbsp;<code><a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="supprimerFournisseur(java.lang.Long)">
<h3>supprimerFournisseur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">supprimerFournisseur</span>&#8203;(<span class="parameters">java.lang.Long&nbsp;id)</span></div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../FournisseurService.html#supprimerFournisseur(java.lang.Long)">supprimerFournisseur</a></code>&nbsp;in interface&nbsp;<code><a href="../FournisseurService.html" title="interface in fr.humanbooster.ag.gestion_de_sachet.service">FournisseurService</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/FournisseurServiceImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
